Bug 50210 - [4.8/4.9/5/6 Regression] ICE: in create_linear_expr_from_tree, at graphite-sese-to-poly.c:1137 with fgraphite-identity -ffast-math -fno-tree-scev-cprop -fstrict-overflow
[4.8/4.9/5/6 Regression] ICE: in create_linear_expr_from_tree, at graphite-se...
Status: NEW
Product: gcc
Classification: Unclassified
Component: middle-end
4.7.0
: P4 normal
: 4.8.5
Assigned To: Not yet assigned to anyone
: ice-on-valid-code
Depends on:
Blocks: 59859
  Show dependency treegraph
 
Reported: 2011-08-27 13:07 UTC by Zdenek Sojka
Modified: 2014-12-19 13:25 UTC (History)
1 user (show)

See Also:
Host: x86_64-pc-linux-gnu
Target: x86_64-pc-linux-gnu
Build:
Known to work: 4.5.3
Known to fail: 4.6.2, 4.7.0
Last reconfirmed: 2011-08-27 00:00:00


Attachments
reduced testcase (the same as gfortran.dg/graphite/id-pr47691.f) (196 bytes, text/plain)
2011-08-27 13:07 UTC, Zdenek Sojka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zdenek Sojka 2011-08-27 13:07:01 UTC
Created attachment 25118 [details]
reduced testcase (the same as gfortran.dg/graphite/id-pr47691.f)

Even after fixing PR47691, the same ICE is sometimes reached with -fno-tree-scev-cprop.

Compiler output with the attached testcase:
$ gcc -O -fgraphite-identity -ffast-math -fno-tree-scev-cprop -fstrict-overflow testcase.f 
testcase.f: In function ‘MAIN__’:
testcase.f:2:0: internal compiler error: in create_linear_expr_from_tree, at graphite-sese-to-poly.c:1137
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://gcc.gnu.org/bugs.html> for instructions.

Tested revisions:
r178125 - crash
4.6 r177922 - crash
4.5 r177922 - OK
Comment 1 Dominique d'Humieres 2011-08-27 13:47:25 UTC
4.6 r169161 - OK
4.6 r169790 - crash
Comment 2 Richard Biener 2011-08-27 15:53:16 UTC
It looks like it should be possible to pass down errors to build_poly_scop
instead of asserting.
Comment 3 Jakub Jelinek 2011-10-26 17:13:32 UTC
GCC 4.6.2 is being released.
Comment 4 Jakub Jelinek 2012-03-01 14:38:21 UTC
GCC 4.6.3 is being released.
Comment 5 Jakub Jelinek 2013-04-12 15:15:46 UTC
GCC 4.6.4 has been released and the branch has been closed.
Comment 6 Richard Biener 2014-06-12 13:42:00 UTC
The 4.7 branch is being closed, moving target milestone to 4.8.4.
Comment 7 Jakub Jelinek 2014-12-19 13:25:18 UTC
GCC 4.8.4 has been released.